// NeoPatchMakerDlg.h : header file
//

#if !defined(AFX_NEOPATCHMAKERDLG_H__37125689_62B4_48D2_A7A0_A8643D280C66__INCLUDED_)
#define AFX_NEOPATCHMAKERDLG_H__37125689_62B4_48D2_A7A0_A8643D280C66__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PatchMaker.h"


/////////////////////////////////////////////////////////////////////////////
// CNeoPatchMakerDlg dialog

class CNeoPatchMakerDlg : public CDialog
{
// Construction
public:
	CNeoPatchMakerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data	
	enum { IDD = IDD_NEOPATCHMAKER_DIALOG };
	CEdit	m_editInfoView;
	int		m_nDestType;
	int		m_nSrcType;
	CString	m_strPackagePath;
	CString	m_strSrcPath;
	DWORD	m_dwMaxPackageSize;
	DWORD	m_dwUpdateVersion;
	CString	m_strFTPPassword;
	CString	m_strFTPAddr;
	CString	m_strFTPAccount;
	CString	m_strDestPath;
	int		m_nFTPPort;
	BOOL	m_bPartialFileCompare;
	BOOL	m_bPassiveMode;
    BOOL    m_bCheckNotice;

	// ClassWizard generated virtual function overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	
	bool Go();

// Implementation
protected:
	CPatchMaker m_PatchMaker;
	HICON m_hIcon;
	
	// Generated message map functions	
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonGo();
	afx_msg void OnClose();
	afx_msg void OnButtonCheckPatchinfoVersion();
	
	DECLARE_MESSAGE_MAP()

	bool m_bBusy;

	void LoadSettings();
	void SaveSettings();

	static UINT PatchMakeThread( LPVOID pParam );
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NEOPATCHMAKERDLG_H__37125689_62B4_48D2_A7A0_A8643D280C66__INCLUDED_)
